
Foreman - Bug #10479

Using capital letters in domain name lead to validation errors on host creation

05/12/2015 02:33 AM - Tomer Brisker

Status: Assigned   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1217486 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2374

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1217486

Version-Release number of selected component (if applicable):

Satellite 6.1 beta

How reproducible:

always

Steps to Reproduce:

1. create a domain 'EXAMPLE.COM'

2. try to create a bare-metal host 'test' in this domain

Actual results:

Validation error on host name: "name must not include periods"

Expected results:

The host creation succeeds

Additional info:

when using 'example.com' name, everything works fine

Related issues:

Related to Foreman - Bug #8859: Foreman does not display case specific hostnames New 01/07/2015

History

#1 - 05/12/2015 02:34 AM - Tomer Brisker

- Status changed from New to Assigned

#2 - 05/12/2015 04:30 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2374 added

- Pull request deleted ()

#3 - 05/29/2015 11:00 AM - Dominic Cleal

- Related to Bug #8859: Foreman does not display case specific hostnames added

#4 - 09/25/2016 03:51 AM - Tomer Brisker

- Status changed from Ready For Testing to New

#5 - 09/26/2016 02:54 AM - Dominic Cleal

- Category set to Host creation

- Status changed from New to Assigned
